package models

import (
	"go-admin/common/models"
)

type LineUserFundingTrend struct {
	models.Model

	UserId  int64  `json:"userId" gorm:"type:int unsigned;comment:用户id"`
	Funding string `json:"funding" gorm:"type:decimal(32,8) unsigned;comment:资金账户总额 换算U"`
	models.ModelTime
	models.ControlBy
}

func (LineUserFundingTrend) TableName() string {
	return "line_user_funding_trend"
}

func (e *LineUserFundingTrend) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *LineUserFundingTrend) GetId() interface{} {
	return e.Id
}

type LineUserFundingTrendResp struct {
	UserId    int64  `json:"user_id" gorm:"type:int unsigned;comment:用户id"`
	Funding   string `json:"funding" gorm:"type:decimal(32,8) unsigned;comment:资金账户总额"`
	CreatedAt string `json:"created_at"`
}
